Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.core.terminal
Interface CardTerminalFactory

public abstract interface CardTerminalFactory

A `CardTerminalFactory` produces `CardTerminal` objects of a certain `type` attached at an `address`.

As with the `opencard.core.service.CardServiceFactory` the idea here is that a card terminal manufacturer shall provide his own version of a `CardTerminalFactory` that can produce appropriate `CardTerminal` objects.

See Also:
  `CardTerminal`, `CardTerminalRegistry`

Field Summary
`static int` | `TERMINAL_ADDRESS_ENTRY` third element in terminal configuration array
`static int` | `TERMINAL_NAME_ENTRY` first element in terminal configuration array
`static int` | `TERMINAL_TYPE_ENTRY` second element in terminal configuration array

Method Summary
`void` | `close()` deinitialize the CardTerminalFactory
`void` | `createCardTerminals(CardTerminalRegistry ctr, java.lang.String[] terminalInfo)` create a specific `CardTerminal` object that knows how to handle a specific card terminal and register it to the CardTerminalRegistry.
`void` | `open()` initialize the CardTerminalFactory

Field Detail

### TERMINAL_NAME_ENTRY

    public static final int TERMINAL_NAME_ENTRY

  first element in terminal configuration array

### TERMINAL_TYPE_ENTRY

    public static final int TERMINAL_TYPE_ENTRY

  second element in terminal configuration array

### TERMINAL_ADDRESS_ENTRY

    public static final int TERMINAL_ADDRESS_ENTRY

  third element in terminal configuration array

Method Detail

### createCardTerminals

    public void createCardTerminals(CardTerminalRegistry ctr,
                                    java.lang.String[] terminalInfo)
                             throws CardTerminalException,
                                    TerminalInitException

  create a specific `CardTerminal` object that knows how to handle a specific card terminal and register it to the CardTerminalRegistry.
  Parameters:
    `ctr` - the CardTerminalRegistry for registration-process
    `terminalInfo` - the parameter array for the terminal. {TerminalName, TerminalType, factory-specific count of parameters....}.
  Throws:
    OpenCardInitializationException - thrown when initialization error occured
    CardTerminalException - thrown when CardTerminal error occured
    TerminalInitException - thrown when terminalInfo is incorrect or factory not able to support requested terminal type.

### open

    public void open()
              throws CardTerminalException

  initialize the CardTerminalFactory
  Throws:
    CardTerminalException - thrown when error occurred while `open` initializes the factory.

### close

    public void close()
               throws CardTerminalException

  deinitialize the CardTerminalFactory
  Throws:
    CardTerminalException - thrown when error occurred while close deinitializes the factory.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD